Skip to main content
POST
/
2026-01
/
retail-media
/
brands
/
search
/2026-01/retail-media/brands/search
curl --request POST \
  --url https://api.criteo.com/2026-01/retail-media/brands/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": [
    {
      "attributes": {
        "brandType": "<string>",
        "id": "<string>",
        "name": "<string>",
        "retailerIds": [
          123
        ]
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "metadata": {
    "limit": 123,
    "offset": 123,
    "count": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer<int32>
default:25

the number of brands to return

Required range: 1 <= x <= 100
offset
integer<int32>
default:0

offset of paginated results

Required range: 0 <= x <= 2147483647

Body

application/json

BrandIdSearchRequest which contains the request parameters

A top-level object that encapsulates a Criteo API request for a single value objects.

data
object

A value resource exposed by the API.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several entities and metadata.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

metadata
object

Metadata for paging data.

warnings
object[] | null
read-only

Warnings that occured during this call.